#
# $Id: conf.pm,v 1.2 2004/11/30 15:20:32 rodney Exp $
#
package conf;

use lib "/sw/share/phtml/lib";
use lib "/client/lib";

use strict;
#use RPC::PlClient;
use PHTML::Config;


our @ISA = qw{PHTML::Config};



sub init
{
    my ($self) = @_;

    # Unfortunately, FastCGI does not support to use the FastCgiConfig
    # option in a VirtualHost context. We use a workaround. FIXME.
    my ($server) = ($0 =~ /serv\/www\/([^\/]*)\//);

    # Adjust to accomodate for your needs.
    #
    # ATTENTION: Always use "AutoCommit => 0", so your
    #            transactions get rolled back automatically
    #            in case of errors.
    my $dbh = DBI->connect("DBI:Pg:dbname=rodney",
			   "rodney", "",
			   { RaiseError => 1,
			     AutoCommit => 0,
			     LongReadLen => 1000000 }) || die("db failure");

    $self->{dbh} = $dbh;
} # init()


sub dbh
{
    my ($self) = @_;
    return($self->{dbh});
}


#
# Config::end is called *after* the request to the client is
# finished. Here is a good place for cleaning up DB handles.
#
sub end
{
    my ($self) = @_;

    # Clean up DB handles.
    $self->dbh->rollback;

    # DBD::Proxy connections need this (known bug):
    # $self->dbh->do("ROLLBACK");
}


1;

