#
# $Id: SessionLegacy.pm,v 1.2 2001/08/29 18:49:56 rodney Exp $
#
# Copyright (C) Rodney Volz 2000, 2001
#
package PHTML::SessionLegacy;

use PHTML::Session;
use strict;

our @ISA = qw(PHTML::Session);
#our $AUTOLOAD;

sub id
{
    my ($self) = @_;

    return($self->C->sid);
}


sub error
{
    my ($self) = @_;
    return($self->C->error);
}

sub dbh
{
    my ($self) = @_;
    return($self->C->dbh);
}


sub C
{
    my ($self) = @_;

    return($self->{_C});
}


sub q
{
    my ($self) = @_;
    return($self->C->q);
}


sub redirect
{
    my ($self,@args) = @_;
    return($self->C->redirect(@args));
}


sub quote
{
    my ($self,@args) = @_;
    return($self->dbh->quote(@args));
}


#sub http_enc
#{
#    my ($self,@args) = @_;
#    return($self->C->http_enc(@args));
#}



#sub AUTOLOAD {
#    my ($self,@args) = @_;
#
#    my $type = ref($self) || die("$self is not an object");
#
#    my $name = $AUTOLOAD;
#    $name =~ s/.*://;   # strip fully-qualified portion
#
#
#    if ($name eq "redirect" ||
#	$name eq "q")
#    {
#	print STDERR "AUTOLOAD $name\n";
#	return($self->C->$name(@args));
#    }
#}


1;
