#
# $Id: Request.pm,v 1.2 2001/08/30 18:25:19 rodney Exp $
#
# Copyright (C) 2000, 2001 Rodney Volz
#

package PHTML::Request;

die("unfinished");

use strict;

use FCGI;
use CGI;
use CGI::Fast;
use IO::Handle;

#our @ISA = qw{CGI};

sub Xnew
{
  my ($this,@args) = @_;
  my $class = ref ($this) || $this; # class or object
  my $self = {};

  bless ($self, $class);


#  $self->SUPER::new(@args);


  my %env;
  $self->{in} = new IO::Handle;
  $self->{out} = new IO::Handle;
  $self->{err} = new IO::Handle;

  $self->{req} = FCGI::Request($self->{in},
			       $self->{out},
			       $self->{err},
			       \%env);

  return(undef) unless ($self->{req}->Accept >= 0);

  $self->{env} = \%env;


  # We got a request. Do the parameter parsing.

#  foreach my $e (keys %env)
#  {
#      print STDERR "$e $env{$e}\n";
#  }




  %ENV = %env;
  STDIN->fdopen($self->{in},"r") || die("cannot fdopen STDIN");

  $self->{cgi} = new CGI;
  

#  $self->{cgi} = new CGI($env{QUERY_STRING});

  die("new CGI failed") unless ($self->{cgi});
  
  return($self);
}




sub new
{
  my ($this,@args) = @_;
  my $class = ref ($this) || $this; # class or object
  my $self = {};

  bless ($self, $class);



  $self->{cgi} = new CGI::Fast;

  $self->{req} = $FCGI::global_request;
  

#  $self->{cgi} = new CGI($env{QUERY_STRING});

  die("new CGI failed") unless ($self->{cgi});
  
  return($self);
} # new()


sub env
{
    my ($self) = @_;
    return($self->{env});
}

sub print
{
    my ($self,$arg) = @_;

    if ($self->{out})
    {
	$self->{out}->print($arg);
    }
    else
    {
	print($arg);
    }
}



sub finish
{
    my ($self) = @_;

#    print STDERR "$self FINISH called, req " . $self->{req} . "\n";

    if ($self->{req})
    {
	print STDERR "$$ finish on req " . $self->{req} . "\n";
	$self->{req}->Finish;
    }
}


#sub req
#{
#    my ($self,@args) = @_;
#    return($self->{req});
#}


sub param
{
    my ($self,@args) = @_;

    my $p = $self->{cgi}->param(@args);

    print STDERR "$$ args " . join(",",@args) . " ret ";


    if (!defined($p))
    {
	print STDERR "undef\n";
    }
    else
    {
	print STDERR "'$p'\n";
    }


    return($p);
}

sub header
{
    my ($self,@args) = @_;

    return($self->{cgi}->header(@args));
}

1;
